#ifdef IPDEV

#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>

typedef struct
{
  int status;  /* 0 OK, -1 check connection(async), -2 error */
  int sock;
  struct sockaddr_in name;
} ipdev_t;


int ip_init(int );
int ip_test(int,char *);
int ip_open(int, void **);
int ip_close(int id, ipdev_t *priv);
void ip_io(int id, ipdev_t *priv);


#endif
